require "scripts/style.lua"

--[[DisplayDialog{
	"scripts/yesno.lua",
	yes=function()
			SellCart();
			CloseCellarWindow();
	   end,
	no=function()
			ClearCart()
	        CloseCellarWindow();
	   end,
	title = "cellarverifytitle",
	body = "cellarverifybody",
};]]--

MakeDialog
{
	name=name, -- Remember, this is like saying table['name']=name, so it works.
    
    FaderWindow
	{
			wait=0,
			duration=100,
			fit = true,
			startalpha = 0,
			finalalpha = 1,
			skip = false,
    
		Bitmap
		{
			image="backgrounds/shade",
			alpha = 0.99,
		},
		Bitmap
		{
			image="backgrounds/dialog",
			x=306,
			y=226,

			SetStyle(DialogTitleText),
			Text
			{
				name = "_title",
				label= "cellarverifytitle",
			};

			SetStyle(DialogBodyText),
			Text
			{
				name = "_body",
				label= "cellarverifybody",
			},
			--SetStyle(EmptyButtonStyle),
			Button
			{
				--clickSound = "audio/sfx/buttons/default_click.ogg",
				command=function()
							SellCart();
							CloseCellarWindow();
						end,
				tx=18, ty=22,
				tw=84, th=51,
				label = "#<outline color=\"0aa00a\" size='2'>"..GetString("sell").."</outline>",
				sound="audio/sfx/supplier_cellar/money.ogg",
				font = 
				{
					stdLegibleFont,
					40,
					WhiteColor,
				},
				graphics = 
				{
					"buttons/buyidle",
					"buttons/buydown",
					"buttons/buyover",
				},
				name = "sell_button",
				close = true,
				x = 230,
				y = 220,
			},
			Button
			{
				--clickSound = "audio/sfx/buttons/default_click.ogg",
				command=function()
							ClearCart()
							CloseCellarWindow();
					    end,
				tx=16, ty=20,
				tw=69, th=42,
				label = "#<outline color=\"EEA055\" size='2'>"..GetString("dont_sell").."</outline>",
				sound = "audio/sfx/buttons/default_close.ogg",
				font = 
				{
					stdLegibleFont,
					20,
					WhiteColor,
				},
				graphics = 
				{
					"buttons/removeidle",
					"buttons/removedown",
					"buttons/removeover",
				},
				name = "dont_sell_button",
				close = true,
				x = 80,
				y = 220,
				w=104, h=79,
			}
		},
	},
	
} -- MakeDialog
PlayPopupSound();